## python-line-profiler 2.1

=== Makefile ===
all:
	@echo 'Just some tools to help me make releases. Nothing for users.'

index.html: README.rst
	rst2html.py README.rst index.html

pypi-site-docs.zip: index.html kernprof.py LICENSE.txt
	zip -r $@ $?

site: pypi-site-docs.zip

# We need to run build_ext first to make sure we have _line_profiler.c.
# However, we can't run both commands in the same run.
sdist:
	python setup.py build_ext
	python setup.py sdist

.PHONY: site sdist

## python-line-profiler 2.0+ds1

=== debian/changelog ===
python-line-profiler (2.0+ds1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:39:19 +0000

python-line-profiler (2.0+ds1-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 09:44:43 +0530

python-line-profiler (2.0+ds1-1) unstable; urgency=low

  * Initial release. (Closes: #777069)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 07 Mar 2017 12:33:57 +0000

=== debian/control ===
Source: python-line-profiler
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all-dev,
               python3-ipython <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-line-profiler.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-line-profiler.git
Homepage: https://github.com/rkern/line_profiler
X-Python3-Version: >= 3.2

Package: python3-line-profiler
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: line-by-line profiling for Python
 LineProfiler can be given functions to profile, and it will time the execution
 of each individual line inside those functions. In a typical workflow, one
 only cares about line timings of a few functions because wading through the
 results of timing every single line of code would be overwhelming. However,
 LineProfiler does need to be explicitly told what functions to profile. 
 .
 If you are using IPython, there is an implementation of an %lprun magic
 command which will let you specify functions to profile and a statement to
 execute.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME = line-profiler
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
else
export PYBUILD_BEFORE_TEST = cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/tests
endif

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/line_profiler/line_profiler@ANY_VERSION@@ARCHIVE_EXT@

## python-line-profiler 2.1

=== debian/changelog ===
python-line-profiler (2.1-2) unstable; urgency=medium

  * Team upload
  * py37-compat.diff: new patch by Matthias Klose, fixes FTBFS against
    Python 3.7 (Closes: #904655)
  * Remove obsolete X-Python3-Version field in d/control

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Nov 2018 10:25:39 +0100

python-line-profiler (2.1-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * drop binary-without-manpage from lintian overrides, lintian is right

  [ Ghislain Antony Vaillant ]
  * Use the DEP-14 repository layout
  * Drop repacking of upstream tarballs
  * Source future releases from GitHub
  * New upstream version 2.1
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Drop superfluous nocheck guards
  * Fixup whitespacing in rules file
  * Transfer maintenance to the Debian Science Team
  * Fixup trailing whitespace in control file
  * Remove d/s/local-options, no longer required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 05 Feb 2018 07:40:48 +0000

=== debian/control ===
Source: python-line-profiler
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all-dev,
               python3-ipython <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/python-line-profiler
Vcs-Git: https://salsa.debian.org/science-team/python-line-profiler.git
Homepage: https://github.com/rkern/line_profiler

Package: python3-line-profiler
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: line-by-line profiling for Python
 LineProfiler can be given functions to profile, and it will time the execution
 of each individual line inside those functions. In a typical workflow, one
 only cares about line timings of a few functions because wading through the
 results of timing every single line of code would be overwhelming. However,
 LineProfiler does need to be explicitly told what functions to profile.
 .
 If you are using IPython, there is an implementation of an %lprun magic
 command which will let you specify functions to profile and a statement to
 execute.

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python3-all,
         python3-line-profiler,
         python3-pytest

## python-line-profiler 4.0.2

=== requirements.txt ===
-r requirements/runtime.txt
-r requirements/tests.txt
-r requirements/ipython.txt
-r requirements/build.txt

=== debian/changelog ===
python-line-profiler (4.0.2-1) unstable; urgency=medium

  * Team upload
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Bo YU ]
  * New upstream version 4.0.2. (Closes: #1024047)
  * Transfer it from Debian science team to Debian python team
  * Drop all patches that upstream has merged
  * Add ubelt for test
  * Add more depends for autopkgtest
  * Add pybuild-plugin-pyproject on B-D
  * Set std-ver to 4.6.2
  * Update d/copyright

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 25 Feb 2023 07:33:03 +0800

python-line-profiler (2.1-3) unstable; urgency=medium

  * Team upload
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Add debian/clean to prevent FTBFSx2
  * Update d/control, d/copyright and d/watch to new upstream
    (Closes: #972319)
  * Mark py37-compat.diff Applied-Upstream
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 22 Oct 2020 12:55:38 +0000

python-line-profiler (2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.9 compatibility, assume gettimeofday() exists and takes 2
    arguments. (Closes: #972251)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Oct 2020 23:00:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: python-line-profiler
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python3-all-dev,
                python3-ipython <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/python-line-profiler
-Vcs-Git: https://salsa.debian.org/science-team/python-line-profiler.git
-Homepage: https://github.com/rkern/line_profiler
+               python3-ubelt <!nocheck>,
+               python3-setuptools,
+               pybuild-plugin-pyproject,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-line-profiler
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-line-profiler
+Homepage: https://github.com/pyutils/line_profiler
 
 Package: python3-line-profiler
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,6 @@
  ; done
 Depends: python3-all,
          python3-line-profiler,
-         python3-pytest
+         python3-pytest,
+         python3-ipython,
+         python3-ubelt

## python-line-profiler 4.1.2

=== debian/changelog ===
python-line-profiler (4.1.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:54:46 +0000

python-line-profiler (4.1.2-1) unstable; urgency=medium

  [ Bo YU ]
  * Team upload.
  * New upstream version 4.1.2. (Closes: #1055715, #1056862)
  * Add python-is-python3 for test.
  * Add extend-diff-ignore. (Closes: #1049276)

  [ Jeroen Ploemen ]
  * Tests: loop over py3versions -s rather than -r.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 27 Dec 2023 10:19:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-ipython <!nocheck>,
                python3-pytest <!nocheck>,
                python3-ubelt <!nocheck>,
+               python-is-python3 <!nocheck>,
                python3-setuptools,
                pybuild-plugin-pyproject,
 Standards-Version: 4.6.2

## python-line-profiler 4.1.3

=== debian/changelog ===
python-line-profiler (4.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Look up NOP opcode instead of hardcoding it (closes: #1081625).

 -- Colin Watson <cjwatson@debian.org>  Sun, 03 Nov 2024 20:50:57 +0000

## python-line-profiler 4.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.0)
project(_line_profiler LANGUAGES C)

###
# Private helper function to execute `python -c "<cmd>"`
#
# Runs a python command and populates an outvar with the result of stdout.
# Be careful of indentation if `cmd` is multiline.
#
function(pycmd outvar cmd)
  execute_process(
    COMMAND "${PYTHON_EXECUTABLE}" -c "${cmd}"
    RESULT_VARIABLE _exitcode
    OUTPUT_VARIABLE _output)
  if(NOT ${_exitcode} EQUAL 0)
    message(ERROR "Failed when running python code: \"\"\"
${cmd}\"\"\"")
    message(FATAL_ERROR "Python command failed with error code: ${_exitcode}")
  endif()
  # Remove supurflous newlines (artifacts of print)
  string(STRIP "${_output}" _output)
  set(${outvar} "${_output}" PARENT_SCOPE)
endfunction()


find_package(PythonInterp REQUIRED)


###
# Find scikit-build and include its cmake resource scripts
#
if (NOT SKBUILD)
  pycmd(skbuild_location "import os, skbuild; print(os.path.dirname(skbuild.__file__))")
  set(skbuild_cmake_dir "${skbuild_location}/resources/cmake")
  message(STATUS "[LINE_PROFILER] skbuild_cmake_dir = ${skbuild_cmake_dir}")
  # If skbuild is not the driver, then we need to include its utilities in our CMAKE_MODULE_PATH
  list(APPEND CMAKE_MODULE_PATH ${skbuild_cmake_dir})
endif()


find_package(Cython REQUIRED)
find_package(PythonExtensions REQUIRED)
find_package(PythonLibs REQUIRED)

add_subdirectory("line_profiler")

=== debian/changelog ===
python-line-profiler (4.2.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:06:16 +0000

python-line-profiler (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Dec 2024 10:03:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=line-profiler

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python3-all,
         python-is-python3,
         python3-line-profiler,
         python3-pytest,
         python3-ipython,
         python3-ubelt

## python-line-profiler 5.0.0

=== requirements.txt ===
-r requirements/runtime.txt
-r requirements/tests.txt
-r requirements/optional.txt
-r requirements/build.txt

=== debian/changelog ===
python-line-profiler (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop some unnecessary pybuild options.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Aug 2025 11:36:23 +0100

=== debian/control ===
Source: python-line-profiler
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dpkg-dev (>= 1.17.14),
 cython3,
 pybuild-plugin-pyproject,
 python-is-python3 <!nocheck>,
 python3-all-dev,
 python3-ipython <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-ubelt <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-line-profiler
Vcs-Git: https://salsa.debian.org/python-team/packages/python-line-profiler
Homepage: https://github.com/pyutils/line_profiler

Package: python3-line-profiler
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: line-by-line profiling for Python
 LineProfiler can be given functions to profile, and it will time the execution
 of each individual line inside those functions. In a typical workflow, one
 only cares about line timings of a few functions because wading through the
 results of timing every single line of code would be overwhelming. However,
 LineProfiler does need to be explicitly told what functions to profile.
 .
 If you are using IPython, there is an implementation of an %lprun magic
 command which will let you specify functions to profile and a statement to
 execute.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=line-profiler

# These tests require a virtual environment.
export PYBUILD_TEST_ARGS=--deselect tests/test_cython.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -s)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests --deselect tests/test_cython.py
 ; done
Depends:
 python-is-python3,
 python3-all,
 python3-ipython,
 python3-line-profiler,
 python3-pytest,
 python3-ubelt,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/line_profiler-$1\.tar\.gz/ \
  https://github.com/pyutils/line_profiler/tags .*/v?@ANY_VERSION@\.tar\.gz
